mod db;

use dotenv;

#[macro_use]
extern crate rocket;

#[get("/")]
async fn index() -> &'static str {
    "Hello World!"
}

#[launch]
fn rocket() -> _ {
    dotenv::dotenv().ok();
    let db_path = dotenv::var("DB_PATH").expect("DB_PATH is not set");
    let db = db::Conn::new(&db_path);

    rocket::build().mount("/", routes![index])
}
